/*****************************************
        Extracted css added from style.css 
******************************************/
.tooltip .tooltiptext {
    visibility: hidden;
    width: 120px;
    background-color: #555;
    color: #fff;
    text-align: center;
    padding: 0;
    border-radius: 6px;
    position: absolute;
    z-index: 1;
    bottom: 125%;
    left: 50%;
    margin-left: -60px;
    opacity: 0;
    transition: opacity 0.3s;
}

.h1_text {
    width: 85% !important;
}


@-webkit-keyframes shine {
    100% {
        left: 125%;
    }
}

@keyframes shine {
    100% {
        left: 125%;
    }
}

#fullImage {
    width: 100%;
    height: auto;
    display: block;
    margin: 0 auto;
}

.tool-section {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    margin-top: 10px;
    align-items: center;
}


.tool {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 16px;
    width: 100%;
    max-width: 1060px;
    margin: 0 auto;
    border: 1px solid #E4E8F1;
    border-radius: 16px;
    height: 100%;
    background: #FBFBFB;
    padding: 16px
}

.uploaded_tool {
    padding: 0 0 30px 0;
    max-width: 100%;
    width: 100%;
    margin: 0 auto;
    text-align: center;
    border-radius: var(--border-radius-default);
}

.uploaded_tool_title {
    font-size: 16px;
}

.uploaded_tool_title_span {
    color: #179aff;
    font-size: 16px;
}

.uploaded_tool_title_span:hover {
    color: #4fabf1;
    transition: 0.2s;
    -webkit-transition: 0.2s;
    -moz-transition: 0.2s;
    -ms-transition: 0.2s;
    -o-transition: 0.2s;
}

.browse-btn-second {
    color: #1e223f;
    text-align: left;
    font-size: 18px;
    font-style: normal;
    gap: 0.5rem;
    font-weight: 500;
    line-height: normal;
    cursor: pointer;
}

.tool-inner {
    position: relative;
    width: 100%;
    min-height: 330px;
    flex-direction: column;
    gap: 16px;
    border-radius: 12px;
    border: 1.5px dashed #E4E8F1;
    background: #fff;
}

.uploaded_tool .tool-inner {
    height: auto;
}

.upload-area-opacity::before {
    content: "";
    background: rgb(255 255 255 / 100%);
    width: 100%;
    height: 100%;
    position: absolute;
}

.upload-area {
    cursor: pointer;
}

.tool-lg-block {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 16px;
}

.choose-file-sm-block {
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 12px;
    width: 100%;
    display: none;
}

.choose-file-sm-block p {
    color: #1E223F;
    line-height: 26px;
    font-size: 18px;
    font-weight: 500;
}

.choose-file-sm-block span {
    color: #AAACB7;
    line-height: 20px;
    font-size: 14px;
    font-weight: 400;
}

.choose-file-sm-block .choose-file-sm {
    border: 1px solid #E4E8F1;
    padding: 8px 16px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 8px;
    gap: 10px;
    width: 260px;
    height: 40px;
    background: transparent;
}

.choose-file-sm-block .choose-file-sm span {
    color: #1E223F;
    line-height: 24px;
    font-size: 16px;
    font-weight: 400;
}

.submit-btn {
    border: unset;
    padding: 5px 25px;
    border-radius: 5px;
    background-color: var(--color-blue);
    color: white;
}

.browse-btn {
    padding: 8px 12px 8px 12px;
    display: flex;
    align-items: center;
    gap: 8px;
    background: #4899FF;
    border-radius: 8px;
    min-width: 140px;
    justify-content: center;
}

.tool-upload-btns {
    display: flex;
    flex-direction: row;
}

.tool-upload-btns .tool-upload-btn {
    max-height: 44px;
    display: flex;
    gap: 0.324rem;
}

.tool-upload-btns .tool-link-btn {
    border-radius: 10px;
    border: 0.3px solid #85878e;
    opacity: 0.5;
    background: #fff;
    display: inline-flex;
    height: 40px;
    padding: 13px;
    cursor: pointer;
    justify-content: center;
    align-items: center;
    gap: 10px;
    flex-shrink: 0;
    width: 44px;
}

.tool-upload-btns .tool-link-btn:hover {
    background: var(--color-lightblue);
    color: var(--color-blue);
    border: 0.3px solid var(--color-blue);
}

.tool-upload-btns .tool-link-btn:hover svg path {
    fill: var(--color-blue);
}

.tool-upload-btns #url,
.tool-upload-btns #show_link_url {
    height: 40px;
    width: 170px;
    border-radius: 10px;
    border: 0.3px solid #85878e;
    opacity: 0.5;
    padding: 5px;
    background: #fff;
}

.tool-upload-btns #url {
    margin-left: 6px;
}

.tool-upload-btns #show_link_url {
    height: 32px;
}

.tool-upload-btns #show_link_url::placeholder {
    color: #85878e;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 23px;
}

@media screen and (max-width: 580px) {
    .tool-upload-btns {
        justify-content: center;
    }

    .uploaded_tool_title {
        line-height: 1;
    }

    .toggleBtn {
        margin: unset !important;
    }
}

.browse-btn:hover {
    background: #0984E3;
    transition: all ease-in 0.2s;
}

.browse-btn svg {
    width: 20px;
    height: 20px;
}


.browse-btn span {
    color: #ffffff;
    font-weight: 500;
    font-size: 18px;
    line-height: 28px;
    text-align: center;
}

.drag_n_drop_title {
    line-height: 35%;
    color: #1e223f;
    text-align: center;
    font-size: 20px;
    font-style: normal;
    font-weight: 400;
}

.drag_n_drop_sub_title {
    font-size: var(--font-size-x-small);
    color: #85878e;
    text-align: center;
    font-style: normal;
    font-weight: 400;
    line-height: 23px;
}

.drag_n_drop_sub_title>span {
    font-size: var(--font-size-x-small);
    color: #85878e;
    text-align: center;
    font-style: normal;
    font-weight: 400;
    line-height: 23px;
}

.submit-btns {
    margin-top: 12px;
}

.btn {
    text-align: center;
    padding: 8px 16px;
    border-radius: 8px;
    cursor: pointer;
    border: none;
    font-size: 16px;
    line-height: 24px;
    font-weight: 400;
}

.btn.translate-btn {
    background: #4899FF;
    color: #fff;
}

.btn.start-again {
    background: #1E223F;
    color: #fff;
}

.btn.download {
    background: #4899FF;
    color: #fff;
}


@keyframes progress {
    0% {
        width: 0%;
        background: #179aff;
    }

    100% {
        width: 100%;
        background: #179aff;
    }
}


.choose-plan-desc span {
    line-height: 24px;
}

.choose-plan-desc {
    font-size: 14px;
    font-weight: 500;
    line-height: 24px;
    color: #0d0c22;
}




.title-hover {
    position: relative;
    display: inline-block;
}

.result-heading {
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: var(--color-skyblue);
    font-weight: 700;
}

.result-div {
    display: flex;
    background: #ffffff;
    padding: 10px;
    border-radius: 10px;
    box-shadow: 0px 10px 99px rgba(0, 0, 0, 0.051);
}

.result-div>div:nth-child(1) {
    flex: 1;
}

.result-div>div:nth-child(2) {
    flex: 4;
}

.single-result>div {
    max-width: 350px;
    margin-left: 20px;
}

.result-div:not(:first-child) {
    margin-top: 1rem;
}

.img_loader {
    position: absolute;
}

.result_title {
    color: black;
    font-size: var(--font-size-large);
}

.timer {
    display: flex;
    align-items: center;
    font-size: 48px;
    color: black;
    font-weight: bold;
}

.timer-card {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

.flip-card {
    width: 36px;
    margin: 0 4px;
}

.flip-card-inner {
    width: 30px;
    height: 30px;
    transform-style: preserve-3d;
    transition: transform 0.5s;
}

.flip-card-front,
.flip-card-back {
    width: 100%;
    height: 100%;
    position: absolute;
    backface-visibility: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 24px;
    font-weight: bold;
    background-color: white;
    border: 1px solid #ddd;
    border-radius: var(--border-radius-default);
}

.flip-card-front span {
    font-size: 18px;
}

.flip-card-back {
    transform: rotateY(180deg);
}

.separator {
    font-weight: bold;
    font-size: var(--font-size-large);
    color: white;
}



.below-tool-ad.premium {
    justify-content: center;
}

.tool-section.other {
    /* flex-direction: column; */
    /* padding: 0 110px; */
    /* margin: 0 auto; */
}

@media only screen and (max-width: 992px) {
    .tool-section {
        justify-content: center;
    }

    .img-preview-name {
        display: none;
    }

    .img-preview-name-for-mob {
        display: block !important;
    }
}

@media (max-width: 850px) and (min-width: 768px) {
    .plan-section1-img img {
        width: 45px !important;
        height: 50px !important;
    }

    .plan-section1-img {
        position: absolute;
        right: 0;
        top: -2rem;
    }

    .plan-section1 {
        position: relative;
    }


}

@media (max-width: 768px) {
    .table-div table tbody tr td:first-child {
        white-space: nowrap;
    }

    .right-preview-text {
        display: none;
    }

    .right-preview .delete-action,
    .deleteIt {
        width: 18px;
    }

    .content-section {
        display: block;
        padding: 0;
    }

    .content-section>.left>ol {
        padding-left: 20px;
    }


    .section.tool-hero {
        padding: 16px 0 30px 0;
    }

    .text-2 {
        display: none;
    }

}

@media only screen and (max-width: 600px) {
    .tool-inner:not(.uploaded_tool .upload-area) {
        padding: 0.5rem;
        min-height: 230px;
    }
}

@media only screen and (max-width: 450px) {
    #previewsImg-bas64 {
        width: 100px;
    }

    .files-heading {
        display: none;
    }

    .right-preview {
        position: absolute !important;
        right: 10px !important;
        bottom: 10px;
    }

    #captcha {
        right: 10% !important;
    }


    .de-preview-icon {
        right: 0px !important;
    }

}

@media only screen and (max-width: 425px) {
    .tool-inner {
        gap: 5px;
    }

    .drag_n_drop_title {
        font-size: 15px;
    }

    .browse-btn,
    .tool-upload-btns .tool-link-btn {
        height: 34px;
    }

    .home-upload {
        height: 80px !important;
        width: 90px !important;
    }

    .drag_n_drop_sub_title {
        font-size: 13px;
    }

    .uploaded_tool_title {
        font-size: 14px;
    }
}

/**************************************************
        Extracted css added from style.css end
***************************************************/

#captcha {
    margin-top: 20px;
    position: absolute;
    bottom: 100%
}



.d-flex {
    display: flex !important;
}


.tool-image-translator {
    /* display: none; */
}

.after-tool-inner {
    width: 100%;
    display: none;
    gap: 16px;
}

.after-tool-inner .left,
.after-tool-inner .right {
    position: relative;
    min-height: 330px;
    max-height: 330px;
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 12px;
    border: 1px solid #E4E8F1;
    background: #FFFFFF;
    cursor: pointer;
}

.after-tool-inner .right {
    cursor: default !important;
}


.img_preview,
.result-img {
    display: flex;
    align-items: center;
    height: 100%;
    width: 100%;
    border-radius: inherit;
}

.img_preview img,
.result-img img {
    border-radius: inherit;
    width: 100%;
    height: auto;
    max-height: 328px;
    object-fit: scale-down;
}

.result-img img {
    cursor: pointer;
}

.cross_icon_div,
.lang__cross {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 32px;
    width: 32px;
    background-color: #fff;
    border-radius: 99px;
    padding: 4px;
    position: absolute;
    top: 10px;
    right: 10px;
    z-index: 10;
    cursor: pointer;
    box-shadow: 0px 1px 3px 0px #00000040;
}

.lang__cross {
    height: 20px;
    width: 20px;
    top: 15px;
    right: 15px;
    background-color: #E4E8F1 !important;
}

/* .after-tool-inner .left img {
    object-fit: cover;
} */

.lang-div {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
}

.lang-select {
    min-width: 145px;
    max-width: 145px;
    border-radius: 8px;
    background: #fff;
    border: none;
    display: flex;
    padding: 6px 8px;
    cursor: pointer;
    color: #1E223F;
    font-size: 16px;
    line-height: 24px;
    font-weight: 400;
    border: 1px solid #E4E8F1;
    appearance: none;
    /* Remove default browser styling */
    -webkit-appearance: none;
    -moz-appearance: none;
    background-image: url('../_img/down_arrow.png');
    /* Replace with your icon */
    background-position: right 4px center;
    /* Adjust icon position */
    background-repeat: no-repeat;
}

.lang-change-arrow {
    display: flex;
    cursor: pointer;
}

.export-btns {
    display: flex;
    justify-content: end;
    gap: 0.5rem;
    align-items: center;
    padding: 0 18px;
}

.extract-text span {
    font-size: 16px;
}



.loader-container {
    position: absolute;
    z-index: 99;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.4);
    border-radius: inherit;
}

.loader {
    margin-left: auto;
    margin-right: auto;
    width: 100px;
    height: 100px;
    border: 3px solid white;
    border-radius: 50%;
    animation: spin 7s ease-in-out;
    animation-iteration-count: infinite;
    transition-duration: 0.1s;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    z-index: 999;
}

.converting {
    pointer-events: none;
    opacity: 0.5;
}

.prem_feedback_main {
    position: unset;
    right: unset;
    bottom: unset;
}

.prem_feedback_main {
    justify-content: center;
    margin-top: 1em;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
        border-bottom: solid 3px transparent;
        border-top: solid 3px transparent;
    }

    50% {
        transform: rotate(1800deg);
        border: 3px solid white;
        border-left: solid 3px transparent;
        border-right: solid 3px transparent;
    }

    100% {
        transform: rotate(0deg);
        border-bottom: solid 3px transparent;
        border-top: solid 3px transparent;
    }
}

.lang-dropdown {
    display: none;
    position: absolute;
    top: 115%;
    left: 50%;
    /* Move it to the center */
    transform: translate(-50%, -8px);
    /* Ensure perfect centering */
    width: 444px;
    max-width: 444px;
    background: #fff;
    box-shadow: 0px 2px 20px 5px #0000001a;
    border-radius: 12px;
    z-index: 9999;
    transition: 0.8s ease;
    opacity: 0.2s;
    /* overflow-y: auto; */
}

.lang-dropdown.open-effect {
    opacity: 1;
    transform: translate(-50%, 0px);
}

.lang-input-search {
    padding: 6px 8px;
}

.lang-options {
    scrollbar-width: thin;
    scrollbar-color: #0984e3 #e4e8f1;

    &::-webkit-scrollbar {
        width: 6px;
    }

    &::-webkit-scrollbar-thumb {
        background-color: #0984e3;
        border-radius: 6px;
    }

    &::-webkit-scrollbar-track {
        background-color: #e4e8f1;
        border-radius: 10px;
    }
}

.lang-search {
    width: 100%;
    padding: 0 3px;
    box-sizing: border-box;
    border-radius: 5px;
    border: 1px solid #e4e8f1;
    background: #fff;
}

.lang-search::placeholder {
    color: #a8b5c3;
    font-size: 14px;
    font-weight: 400;
}

.lang-options {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 2px;
    min-height: auto;
    max-height: 280px;
    padding: 6px 8px;
    overflow-y: auto;
}

.lang-option {
    height: max-content;
    padding: 6px;
    box-sizing: border-box;
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    gap: 0.1rem;
}

.lang-option .lang-name {
    color: #1e223f;
    font-size: 14px;
    font-weight: 400;
    line-height: unset !important;
    line-height: 20px !important;
}

.lang-option .lang-icon {
    line-height: 20px !important;
}

.lang-option:hover {
    border-radius: 3px;
    background: #f7f7f7;
    font-weight: 600;
}

.lang-option.selected {
    border-radius: 3px;
    background: #f7f7f7;
    font-weight: 600;
}

.placeholder-img {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 16px;
    color: #cdcfda;
    text-align: center;
    font-size: 14px;
    line-height: 20px;
    font-weight: 400;
}

@media (max-width: 768px) {
    .tool-lg-block {
        display: none;
    }

    .choose-file-sm-block {
        display: flex;
    }

    .lang-option {
        width: 100%;
    }

    .lang-options {
        height: 250px;
        grid-template-columns: 1fr;
    }

    .lang-dropdown {
        width: 90%;
    }

    .after-tool-inner {
        flex-direction: column;
    }


    .after-tool-inner .left,
    .img_preview,
    .after-tool-inner .right,
    .result-img {
        min-height: 246px;
        max-height: 246px;
    }

    .img_preview img,
    .result-img img {
        min-height: 230px;
        max-height: 230px;
    }

}

@media only screen and (max-width: 600px) {
    .tool-inner:not(.uploaded_tool .upload-area) {
        padding: 0.5rem;
        min-height: 375px;
    }

    .tool-inner {
        justify-content: center;
    }
}



@media (max-width: 450px) {

    .tool-inner {
        gap: 1rem;
    }

    .tool-inner:not(.uploaded_tool .upload-area) {
        max-height: 300px;
        min-height: 300px;
    }

    #captcha {
        right: unset !important;
    }

    .lang-select {
        font-size: 14px;
    }
}

@media only screen and (max-width: 375px) {
    .action-text {
        display: none;
    }

    .export-btns {
        flex-direction: row !important;
    }

    .lang-div {
        width: 100%;
        gap: 4px;
        flex-direction: column;
    }

    .lang-select {
        min-width: unset;
        max-width: unset;
        width: 100%;
    }

    .lang-change-arrow {
        transform: rotate(90deg)
    }
}

#lightbox>div {
    display: flex;
    justify-content: center;
    align-items: flex-end;
    flex-direction: column;
    max-height: 90vh;
}

.lightbox-cross {
    height: 30px;
    width: 30px;
    background-color: #fff;
    border-radius: 50%;
    padding: 5px;
    position: relative;
    right: -15px;
    top: 15px;
    box-shadow: 0px 2px 20px 5px #0000001a;
}

.lightbox-cross-div {
    display: flex;
    justify-content: end;
    align-items: end;
    width: 100%;
}